GRDINFO(l)

NAME
grdinfo - Get information about the contents of a 2-D grd file

SYNOPSIS
grdinfo grdfiles [ -C ] [ -D ] [ -F ] [ -L1 ] [ -L2 ] [ -M ] [ -V ]

DESCRIPTION
grdinfo reads a 2-D binary grd file and reports various statistics for the (x,y,z) data in the grdfile. The output information contains the minimum/maximum values for x, y, and z, where the min/max of z occur, the x- and y-increments, and the number of x and y nodes, and [optionally] the mean, standard deviation, and/or the median, L1 scale of z, and number of nodes set to NaN.

grdfile
    The name of one or several 2-D grd files.

OPTIONS
No space between the option flag and the associated arguments.

-C  Formats the report using tab-separated fields on a single line. The output is w e s n z0 z1 dx dy nx ny [ x0 y0 x1 y1 ] [ med scale ] [ mean std rms] [n_nan]. The data in brackets are output only if the corresponding options -M, -L1, -L2, and -M are used, respectively.

-D  Report grid domain and x/y-increments using dd:mm:ss[.fff] notation [Default is decimal]. Does not apply to the -C option.

-F  Report grid domain and x/y-increments world mapping format [Default is generic]. Does not apply to the -C option.

-L1 Report median and L1 scale of z (L1 scale = 1.4826 * Median Absolute Deviation (MAD)).

-L2 Report mean and standard deviation of z.

-M  Find and report the location of min/max z-values, and count and report the number of nodes set to NaN, if any.

-V  Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].

EXAMPLES
To obtain all the information about the data set in file hawaii_topo.grd, try

grdinfo -L1 -L2 -M hawaii_topo.grd

SEE ALSO
gmt(1gmt), grd2cpt(1gmt), grd2xyz(1gmt), grdedit(1gmt)